[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TFormatOptions

Set of TFormatOption options.

## Declaration

Source position: fpjson.pp line 71

`type TFormatOptions = set of (`
`foSingleLineArray,` |  | Keep all array elements on a single line.
`foSingleLineObject,` |  | Keep all object elements on a single line.
`foDoNotQuoteMembers,` |  | Do not use quote characters around object member names.
`foUseTabchar,` |  | Use the tabulator character for indents
`foSkipWhiteSpace,` |  | Skip whitespace
`foSkipWhiteSpaceOnlyLeading` |  | Only skip leading whitespace when formatting JSON
`);`

## Description

TFormatOptions is the set definition used to specify options in TJSONData.FormatJSON.

## See also

TJSONData.FormatJSON |  | Return a formatted JSON representation of the data.
TFormatOption |  | Formatting options for FormatJSON